Package org.apache.maven.shared.artifact.filter.resolve.transform

## Class SonatypeAetherFilterTransformer

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.resolve.transform.SonatypeAetherFilterTransformer

All Implemented Interfaces:
  `FilterTransformer<DependencyFilter>`

    @Deprecated
    public class SonatypeAetherFilterTransformer
    extends java.lang.Object
    implements FilterTransformer<DependencyFilter>

Deprecated.
update to Maven 3.1.0 or later and replace Sonatype Aether with Eclipse Aether
FilterTransformer implementation for Sonatype Aether

Since:
  3.0
Author:
  Robert Scholte

### Constructor Summary

Constructors
`SonatypeAetherFilterTransformer()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`DependencyFilter` `transform​(AbstractFilter filter)` Deprecated. Transform a custom filter to T specific implementation
`AndDependencyFilter` `transform​(AndFilter filter)` Deprecated. Transform the andFilter to T specific implementation
`ExclusionsDependencyFilter` `transform​(ExclusionsFilter filter)` Deprecated. Transform the exclusionsFilter to T specific implementation
`OrDependencyFilter` `transform​(OrFilter filter)` Deprecated. Transform the orFilter to T specific implementation
`DependencyFilter` `transform​(PatternExclusionsFilter filter)` Deprecated. Transform the patternExclusionsFilter to T specific implementation
`DependencyFilter` `transform​(PatternInclusionsFilter filter)` Deprecated. Transform the paternInclusionsFilter to T specific implementation
`ScopeDependencyFilter` `transform​(ScopeFilter filter)` Deprecated. Transform the scopeFilter to T specific implementation

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SonatypeAetherFilterTransformer

    public SonatypeAetherFilterTransformer()

Deprecated.

### Method Detail

#### transform

    public AndDependencyFilter transform​(AndFilter filter)

Deprecated.
Description copied from interface: `FilterTransformer`
Transform the andFilter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<DependencyFilter>`
Parameters:
  `filter` - the filter
Returns:
  the transformed filter, never `null`

#### transform

    public ExclusionsDependencyFilter transform​(ExclusionsFilter filter)

Deprecated.
Description copied from interface: `FilterTransformer`
Transform the exclusionsFilter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<DependencyFilter>`
Parameters:
  `filter` - the filter
Returns:
  the transformed filter, never `null`

#### transform

    public OrDependencyFilter transform​(OrFilter filter)

Deprecated.
Description copied from interface: `FilterTransformer`
Transform the orFilter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<DependencyFilter>`
Parameters:
  `filter` - the filter
Returns:
  the transformed filter, never `null`

#### transform

    public ScopeDependencyFilter transform​(ScopeFilter filter)

Deprecated.
Description copied from interface: `FilterTransformer`
Transform the scopeFilter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<DependencyFilter>`
Parameters:
  `filter` - the filter
Returns:
  the transformed filter, never `null`

#### transform

    public DependencyFilter transform​(PatternExclusionsFilter filter)

Deprecated.
Description copied from interface: `FilterTransformer`
Transform the patternExclusionsFilter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<DependencyFilter>`
Parameters:
  `filter` - the filter
Returns:
  the transformed filter, never `null`

#### transform

    public DependencyFilter transform​(PatternInclusionsFilter filter)

Deprecated.
Description copied from interface: `FilterTransformer`
Transform the paternInclusionsFilter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<DependencyFilter>`
Parameters:
  `filter` - the filter
Returns:
  the transformed filter, never `null`

#### transform

    public DependencyFilter transform​(AbstractFilter filter)

Deprecated.
Description copied from interface: `FilterTransformer`
Transform a custom filter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<DependencyFilter>`
Parameters:
  `filter` - the filter
Returns:
  the transformed filter, never `null`